<h1 align="center">Welcome to One Dionys - Formatted Input Fields! 👋 </h1>

<p align="center">Components that allow the use of input with specific formats such as date, currency, or phone number with automatic validation. 💖 </p>

<p align="center">
<img src="https://img.shields.io/github/contributors/onedionys/onedionys-formatted-input-fields?style=flat-square">
<img src="https://img.shields.io/github/issues/onedionys/onedionys-formatted-input-fields?style=flat-square">
<img src="https://img.shields.io/github/stars/onedionys/onedionys-formatted-input-fields?style=flat-square"> 
<img src="https://img.shields.io/github/forks/onedionys/onedionys-formatted-input-fields?style=flat-square">
<img src="https://img.shields.io/github/last-commit/onedionys/onedionys-formatted-input-fields.svg?style=flat-square">
<img src="https://img.shields.io/github/languages/code-size/onedionys/onedionys-formatted-input-fields?style=flat-square">
<img src="https://img.shields.io/github/license/onedionys/onedionys-formatted-input-fields?style=flat-square">
</p>

## 💾 Requirements

* `Web Browser` - Can be used as an emulator to build applications. Example [Chrome, Firefox, Safari & Opera].
* `Internet` - Because many use CDN and to make it easier to find solutions to all problems.

## 🎯 How To Use

#### Example Syntax

```javascript
const { formatInput } = require('formatted-input-fields');

// Example usage
const formatted = formatInput('1234567890', 'XXX-XX-XXXX');
console.log(formatted); // Output: '123-45-6789'
```

#### Explanation

* This package provides a function formatInput to format input based on the provided mask. The function takes two parameters: the input string and the mask string. The mask string specifies the desired format of the input. The function replaces 'X' characters in the mask with corresponding characters from the input string.

#### Return Value

* The `formatInput` function returns the formatted input string according to the specified mask.

## 📆 Release Date

* v1.0.0 : 17 March 2024

## 🧑 Author

* Facebook : <a href="https://www.facebook.com/theonedionys"> Oned Ionys</a>
* Instagram : <a href="https://www.instagram.com/onedionys/"> @onedionys</a>
* Twitter : <a href="https://twitter.com/onedionys"> @onedionys</a>
* LinkedIn :  <a href="https://www.linkedin.com/in/onedionys/"> @onedionys</a>

## 📝 License

* Copyright © 2024 One Dionys
* **One Dionys - Formatted Input Fields is an open source project licensed under the MIT license**

## ☕️ Suppport & Donation

Love One Dionys - Formatted Input Fields? Support this project by donating or sharing with others in need.

<a href="https://www.buymeacoffee.com/onedionys"><img src="https://img.shields.io/badge/Buy_Me_A_Coffee-FFDD00?style=for-the-badge&logo=buy-me-a-coffee&logoColor=black"/> </a>

**Made with ❤️ One Dionys**
